| Class GffIOContext The I/O context to use for GFF I/O. GffIOContext<TNameStore[, TNameStoreCache]> Include Headers bam_io.h Parameters
TNameStore | The name store class.
TNameStoreCache | The name store cache class. Default: NameStoreCache<TNameStore>
Typedefs
TNameStore | The name store class.
TNameStoreCache | The name store cache class.
Member Functions
GffIOContext | Constructor.
Functions
nameStore | Return reference to name store from GffIOContext.
nameStoreCache | Return reference to name store cache from GffIOContext.
Examples Creating a GffIOContext for a raw StringSet of CharString. StringSet<CharString> nameStore; NameStoreCache<StringSet<CharString> > nameStoreCache(nameStore); GffIOContext<StringSet<CharString> > bamIOContext(nameStore, nameStoreCache); // ... Using a GffIOContext with a FragmentStore. typedef FragmentStore<>::TContigNameStore TNameStore; typedef NameStoreCache<TNameStore> TNameStoreCache; FragmentStore<> store; // Optionally, do something with store. typedef GffIOContext<TNameStore, TNameStoreCache> TGffIOContext; TGffIOContext bamIOContext(store.contigNameStore, store.contigNameStoreCache); // ... SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56